### Signal

# GtkSource Buffer::highlight-updated

#### Declaration

    void
    highlight_updated (
      GtkSourceBuffer* self,
      const GtkTextIter* start,
      const GtkTextIter* end,
      gpointer user_data
    )

#### Description [src]

The ::highlight-updated signal is emitted when the syntax highlighting and context classes are updated in a certain region of the `buffer`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`start`

  Type: `GtkTextIter`

  The start of the updated region.

  The data is owned by the caller of the function.

`end`

  Type: `GtkTextIter`

  The end of the updated region.

  The data is owned by the caller of the function.